Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226640 - Merge Review: xorg-x11-font-utils
Summary: Merge Review: xorg-x11-font-utils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-font-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denise Dumas
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:32 UTC by Nobody's working on this, feel free to take it
Modified: 2015-04-30 13:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 13:00:09 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:32:56 UTC
Fedora Merge Review: xorg-x11-font-utils

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-font-utils/
Initial Owner: krh@redhat.com

Comment 1 Thorsten Leemhuis 2007-02-25 12:25:54 UTC
* "# FIXME: Include missing docs sometime" -- I agree fully :-) ; COPYING files
should be included as doc, too

* mkfontdir and mkfontscale contain the "This is a stub file. [...]" stuff as
COPYING :-/ There are no license informations *at all* in mkfontdir 

* "#%dir %{_mandir}/man1x" -> similar lines are in quite a lot of xorg packages
-- would be nice to get rid of them over time, as those packages should not own
that dir and the comment is unneeded

* font-util -> BSD, not MIT license; running out of time right now -- I'm unsure
if that's okay in this case (e.g. mixing LGPL and GPL and declaring that mix GPL
in the spec file is okay, but I'm unsure about BSD and MIT license)

* would be nice to get the patch upstream to avoid we have to run autoconf

* seems ftp://ftp.x.org/pub/individual/app/font-util-1.0.1.tar.bz2 does not exist

* the md5sum of bdftopcf-1.0.0.tar.bz2 does not match upstream

* Quoting %files
{{{
%dir %{_datadir}/X11
%dir %{_datadir}/X11/fonts
}}}
-> quite some packages own those directories -- we should work towards a
solution where only one package owns those (and the other important X11) directories

* rpmlint
rpmlint on ./xorg-x11-font-utils-7.1-2.src.rpm
W: xorg-x11-font-utils invalid-license MIT/X11
-> (besides the BSD stuff mentioned above) "MIT" afaics for the MIT stuff (then
rpmlint won't complain) -- 

W: xorg-x11-font-utils unversioned-explicit-provides %{pkgname}
-> with %{version}-%{release} please

W: xorg-x11-font-utils unversioned-explicit-provides bdftopcf
W: xorg-x11-font-utils unversioned-explicit-provides fonttosfnt
W: xorg-x11-font-utils unversioned-explicit-provides mkfontdir
W: xorg-x11-font-utils unversioned-explicit-provides mkfontscale
W: xorg-x11-font-utils unversioned-explicit-provides bdftruncate
W: xorg-x11-font-utils unversioned-explicit-provides ucs2any
-> it's better to have those with their versions, too, in case we ever want to
split them out


W: xorg-x11-font-utils unversioned-explicit-obsoletes XFree86-font-utils
W: xorg-x11-font-utils unversioned-explicit-obsoletes XFree86
-> is that still needed -- if yes, it will be better with version-number, in
case we ever want to put some packages with those names out

rpmlint on ./xorg-x11-font-utils-7.1-2.i386.rpm
W: xorg-x11-font-utils invalid-license MIT/X11
-> see above

E: xorg-x11-font-utils obsolete-not-provided XFree86-font-utils
E: xorg-x11-font-utils obsolete-not-provided XFree86
E: xorg-x11-font-utils obsolete-not-provided xorg-x11-base-fonts
E: xorg-x11-font-utils obsolete-not-provided xorg-x11-tools
-> well, would be nice to provide them, but is probably not that important anymore

W: xorg-x11-font-utils devel-file-in-non-devel-package
/usr/lib/pkgconfig/fontutil.pc
-> acceptable

rpmlint on ./xorg-x11-font-utils-debuginfo-7.1-2.i386.rpm
W: xorg-x11-font-utils-debuginfo invalid-license MIT/X11
-> see above

Besides that:
 package meets naming and packaging guidelines.
 specfile is properly named, is cleanly written and uses macros consistently.
 dist tag is present.
 build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 no shared libraries are present.
 package is not relocatable.
 no duplicates in %files.
 file permissions are appropriate.
 %clean is present.
 no scriptlets present.
 code, not content.
 documentation is small, so no -docs subpackage is necessary.
 no headers.
 no pkgconfig files.
 no libtool .la droppings.
 not a GUI app.
 not a web app.
 no open bugs


Comment 5 Cole Robinson 2015-02-11 20:39:41 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 6 Simone Caronni 2015-04-30 13:00:09 UTC
I've got access for this package to update it to current packaging guidelines and an update that contains all the changes has been released before opening this bug.


Note You need to log in before you can comment on or make changes to this bug.